Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 420081 - Review Request: libwps - A library for importing Microsoft Works documents
Summary: Review Request: libwps - A library for importing Microsoft Works documents
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-12-11 17:03 UTC by Marc Maurer
Modified: 2008-01-27 07:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-27 07:35:00 UTC


Attachments (Terms of Use)

Description Marc Maurer 2007-12-11 17:03:17 UTC
Spec URL: http://uwog.net/~uwog/libwps.spec
SRPM URL: http://uwog.net/~uwog/libwps-0.1.1-2.fc7.src.rpm

Description: 
libwps is a library for importing the Microsoft Works word processor file format.

Comment 1 Mamoru TASAKA 2007-12-16 13:30:52 UTC
I just tried to rebuild but it failed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=295718

Some comments:
- Perhaps at least "libwpd-devel" (not libwpd) is needed for BuildRequires
- For sourceforge project, I prefer to use
  http://libwps.sourceforge.net/ fir URL.
- For me it seems strange that all libraries (not only symlinks) are
  in -devel subpackage.
- The two lines
-----------------------------------------------------
%files
%dir %{_includedir}/libwps-%{majorversion}.%{minorversion}
%{_includedir}/libwps-%{majorversion}.%{minorversion}/*
-----------------------------------------------------
can be simpified as
-----------------------------------------------------
%files
%{_includedir}/libwps-%{majorversion}.%{minorversion}/
-----------------------------------------------------
or even
-----------------------------------------------------
%files
%{_includedir}/libwps-*/
-----------------------------------------------------

Comment 2 Jason Tibbitts 2007-12-21 03:23:29 UTC
BTW, this does build OK if you change the build dependency to libwpd-devel.

The resulting build has several rpmlint problems:

libwps.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/wps2text ['/usr/lib64']
libwps.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/wps2raw ['/usr/lib64']
libwps.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/wps2html ['/usr/lib64']

So some rpath fixing is in order.

libwps-devel.x86_64: E: library-without-ldconfig-postin 
  /usr/lib64/libwps-stream-0.1.so.1.0.1
libwps-devel.x86_64: E: library-without-ldconfig-postun 
  /usr/lib64/libwps-stream-0.1.so.1.0.1
libwps-devel.x86_64: E: library-without-ldconfig-postin 
  /usr/lib64/libwps-0.1.so.1.0.1
libwps-devel.x86_64: E: library-without-ldconfig-postun 
  /usr/lib64/libwps-0.1.so.1.0.1

It's rather abnormal to have versioned libraries in the -devel package, isn't
it?  Usually those go in the main package and the unversioned .so links go in
-devel.

libwps-devel.x86_64: W: unused-direct-shlib-dependency 
  /usr/lib64/libwps-stream-0.1.so.1.0.1 /usr/lib64/libwpd-0.8.so.8
libwps-devel.x86_64: W: unused-direct-shlib-dependency 
  /usr/lib64/libwps-stream-0.1.so.1.0.1 /lib64/libm.so.6
libwps-devel.x86_64: W: unused-direct-shlib-dependency 
  /usr/lib64/libwps-0.1.so.1.0.1 /lib64/libm.so.6
The libraries link against various libraries they don't actually call.  This
isn't generally a big problem unless this causes additional dependencies, which
doesn't seem to be the case here.  Nice to fix if you can, but not a blocker.


Comment 3 Mamoru TASAKA 2007-12-27 16:46:34 UTC
ping?

Comment 4 Mamoru TASAKA 2008-01-17 14:35:42 UTC
ping again?

Comment 5 Jason Tibbitts 2008-01-27 06:46:12 UTC
I guess it's time to close this.  Mamoru?

Comment 6 Mamoru TASAKA 2008-01-27 07:35:00 UTC
OKay, now closing.

If someone wants to import this package into Fedora, please file
a new review request and mark this bug as a duplicate of the new one.

Thank you!!


Note You need to log in before you can comment on or make changes to this bug.